.input {
  position: relative;
  .el-select {
    width: 100%;
  }
  .el-input__inner,
  .el-textarea__inner {
    width: 100%;
    border-radius: 0;
    border: none;
    padding: 10px 0 10px 0;
    font-family: $-font-light;
    font-size: $-font-size-base;
    color: $--color-text-regular;
    line-height: 24px;
    letter-spacing: .5px;
    border-bottom: 1px solid $--border-color-input;
    transition: border-bottom .15s ease-in-out;
    &::placeholder {
      opacity: 0;
      transform: translateX(20px) scale(.9);
      transition: opacity .2s ease-in-out, transform .15s ease-in-out;;
    }
    &:focus {
      border-bottom: 1px solid $--color-primary;
      &::placeholder {
        opacity: 1;
        transform: translateX(0) scale(1);
      }
    }
  }
  .el-date-editor--datetime {
    width: 100%;
    .el-input__inner {
      padding-left: 35px;
    }
  }
  &__label {
    position: absolute;
    left: 0;
    top: 0;
    margin-bottom: 0;
    font-family: $-font-regular;
    font-size: $-font-size-base;
    color: $--color-text-input-label;
    letter-spacing: .5px;
    line-height: 40px;
    cursor: pointer;
    z-index: 100;
    transition: top .15s ease-in-out,
                font-size .15s ease-in-out,
                color .15s ease-in-out,
                opacity .2s ease-in-out;
    &_active {
      top: -25px;
      font-size: $-font-size-xs;
      color: $--color-text-input-label-active;
    }
    &:hover {
      opacity: .7;
    }
  }
  &.editor-input &__label {
    top: -35px;
    .ql-toolbar {
      line-height: 18px;
    }
  }
  &__label-required {
    font-family: 'Roboto', 'Arial', sans-serif;
    color: mix($--color-white, $--color-danger, 40%);
  }
  &__prompt {
    font-family: $-font-light;
    font-size: $-font-size-xs;
    color: $--color-text-prompt;
    line-height: 18px;
  }
  &-icon__password-view {
    display: inline-block;
    padding: 10px;
    position: absolute;
    line-height: 0;
    right: 0;
    top: 0;
    cursor: pointer;
    .svg-inline--fa path {
      fill: $--color-text-input-label-active;
    }
  }
}

.el-form-item .el-color-picker {
  margin-top: 10px;
  height: 60px;
  width: 100px;
  &__trigger {
    height: inherit;
    width: inherit;
  }
}
